TSHTTPISINTERNALREQUEST(3ts)

NAME
TSHttpIsInternalRequest - test whether a request is internally-generated

SYNOPSIS

#include <ts/ts.h>

    TSReturnCode TSHttpIsInternalRequest(TSHttpTxn txnp)

    TSReturnCode TSHttpIsInternalSession(TSHttpSsn ssnp)

DESCRIPTION

TSHttpIsInternalRequest() tests whether a HTTP transaction was originated within Traffic Server.

TSHttpIsInternalSession() tests whether a HTTP session was originated within Traffic Server.

RETURN VALUES

Both these APIs returns a TSReturnCode, indicating whether the object was internal (TS_SUCCESS) or not (TS_ERROR).

EXAMPLES

The ESI plugin uses TSHttpIsInternalRequest() to ignore requests that is had generated while fetching portions of an ESI document:

        }

        static bool
        addSendResponseHeaderHook(TSHttpTxn txnp, const ContData *src_cont_data)

SEE ALSO

TSAPI(3ts)

COPYRIGHT
2014, dev@trafficserver.apache.org